ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin.HLS

Synopsis

- asGhcIdePlugin :: Recorder (WithPriority Log) -> IdePlugins IdeState -> Plugin Config
- toResponseError :: forall {f :: MessageDirection} (m :: Method f 'Request). (PluginId, PluginError) -> TResponseError m
- data Log
  - = LogPluginError PluginId PluginError
  - | ToJSON (ErrorData m) => LogResponseError PluginId (TResponseError m)
  - | LogNoPluginForMethod (Some (SMethod :: Method f t -> Type))
  - | LogInvalidCommandIdentifier
  - | ExceptionInPlugin PluginId (Some (SMethod :: Method f t -> Type)) SomeException

# Documentation

asGhcIdePlugin :: Recorder (WithPriority Log) -> IdePlugins IdeState -> Plugin Config #

Map a set of plugins to the underlying ghcide engine.

toResponseError :: forall {f :: MessageDirection} (m :: Method f 'Request). (PluginId, PluginError) -> TResponseError m #

data Log #

Constructors

LogPluginError PluginId PluginError |
ToJSON (ErrorData m) => LogResponseError PluginId (TResponseError m) |
LogNoPluginForMethod (Some (SMethod :: Method f t -> Type)) |
LogInvalidCommandIdentifier |
ExceptionInPlugin PluginId (Some (SMethod :: Method f t -> Type)) SomeException |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Plugin.HLS Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Plugin.HLS Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #